<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * lnApp system default configurable items.
 *
 * @package    lnApp
 * @category   Configuration
 * @author     Deon George
 * @copyright  (c) 2010-2013 Deon George
 * @license    http://dev.leenooks.net/license.html
 */

return array(
	'id'              => '',		// Site ID, for mullti site usage
	'disabled_noaccess_redirect' => FALSE,	// Whether to redirect on no access, or show an error
	'date_format'     => 'd-M-Y',		// Site Date Format
	'language'        => 'auto',		// Site Language
	'method_security' => FALSE,		// Enable User Based method security
	'session_change_trigger'=>array(	// Updates to tables to make when our session ID is changed
	),
	'theme'           => 'bootstrap',	// Site Theme
	'time_format'     => 'H:i:s',		// Site Time Format
);
?>
